9 Replies Latest reply on Feb 26, 2009 2:13 PM by pauljcompany

    TourDeFlex - Flex Plugin

    icymonkey
      Just installed the TourDeFlex AIR-application and also the FlexBuilder plugin via update. AIR-app works fine, but the FlexBuilder plugin always asks for the installation path of TourDeFlex.

      I think it must be the path where the air-app is installed? Tried everything but it always prompts for the correct path.

      Does anyone know a solution? FlexBuilder 3.x is installed.

      Thanks in advance!
        • 1. Re: TourDeFlex - Flex Plugin
          gw5815
          Which OS are you running it on?
          • 2. Re: TourDeFlex - Flex Plugin
            icymonkey Level 1
            it's Vista 64 Business Edition
            • 3. Re: TourDeFlex - Flex Plugin
              holly_schinsky
              Hi there, I wrote the plugin for the Tour de Flex and would like to help you resolve your issue. The plugin currently checks the type of O/S and assumes a default directory to where the AIR app has been installed (the final exe). If it is not found there, then it will prompt you for the full path. I see that you are running on Windows. The path that it will assume for Windows is : C:\Program files\TourDeFlex\TourDeFlex.exe. If this is not where you installed Tour de Flex (the AIR app), then you will get the prompt to ask where it is located and should enter the full path to the exe on your hard drive. Once it is found and executed ok the first time it will save it and should no longer prompt.

              Please let me know if this helps you or how I can futher assist. Thanks! Holly
              • 4. Re: TourDeFlex - Flex Plugin
                icymonkey Level 1
                Thanks for your help...

                deinstalled the air app, changed location, tried again... didn't work ... BUT : I recognized you mentioned the "full" path and tried to enter the directory + exe-filename (in my case it's "D:\Program Files\AIR\TourDeFlex\TourDeFlex.exe") and now it works fine ;)

                Thanks a lot! But perhaps you could implement a function that looks for the exe file itself without entering the name of the executable file?

                Anyway great work and thanks again!
                • 5. Re: TourDeFlex - Flex Plugin
                  icymonkey Level 1
                  Thanks for your help...

                  deinstalled the air app, changed location, tried again... didn't work ... BUT : I recognized you mentioned the "full" path and tried to enter the directory + exe-filename (in my case it's "D:\Program Files\AIR\TourDeFlex\TourDeFlex.exe") and now it works fine ;)

                  Thanks a lot! But perhaps you could implement a function that looks for the exe file itself without entering the name of the executable file?

                  Anyway great work and thanks again!
                  • 6. Re: TourDeFlex - Flex Plugin
                    holly_schinsky Level 1
                    Great!! I'm glad you were able to get it working for you! Due to time constraints we decided to go with this method of trying the default exe path initially and prompting only when not found there for version 1.0. It will also save off the install path you've entered at that point so you should never have to enter it again. However, we really appreciate your feedback and are looking into how we can make this easier for people in the future. Thanks! Holly
                    • 7. Re: TourDeFlex - Flex Plugin
                      nishantkyal
                      Hi,

                      I installed the eclipse plugin and now my flex builder doesn't open throwing this log. Apparently some dependencies are missing.

                      The plugin shouldn't install if the dependencies are not met. Now I don't know what to do except uninstall/install flex builder. :-(

                      Here's the log. Help me please

                      org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.core.jobs; bundle-version="[3.2.0,4.0.0)"
                      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:305)
                      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:350)
                      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1118)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManage r.java:634)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java :508)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelMana ger.java:282)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManage r.java:468)
                      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:195)
                      at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:297)

                      !ENTRY com.adobe.flexbuilder.multisdk 4 0 2008-12-17 14:50:58.019
                      !MESSAGE
                      !STACK 0
                      org.osgi.framework.BundleException: The bundle could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.core.runtime; bundle-version="0.0.0"
                      at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:305)
                      at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:350)
                      at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1118)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManage r.java:634)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java :508)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelMana ger.java:282)
                      at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManage r.java:468)
                      at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:195)
                      at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:297)

                      !ENTRY org.eclipse.osgi 4 0 2008-12-17 14:50:58.035
                      !MESSAGE Bundle initial@reference:file:plugins/org.eclipse.core.runtime_3.3.100.v20070530.jar/ was not resolved.

                      !ENTRY org.eclipse.osgi 4 0 2008-12-17 14:50:58.035
                      !MESSAGE Application error
                      !STACK 1
                      java.lang.IllegalStateException: Unable to acquire application service. Ensure that the org.eclipse.core.runtime bundle is resolved and started (see config.ini).
                      at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.jav a:72)
                      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:363)
                      at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
                      at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
                      at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
                      at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
                      at java.lang.reflect.Method.invoke(Unknown Source)
                      at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:508)
                      at org.eclipse.equinox.launcher.Main.basicRun(Main.java:447)
                      at org.eclipse.equinox.launcher.Main.run(Main.java:1173)
                      at org.eclipse.equinox.launcher.Main.main(Main.java:1148)
                      • 8. Re: TourDeFlex - Flex Plugin
                        pauljcompany
                        I'm trying to install the TourDeFlex plugin but no love!

                        Help -> Software Updates -> Find and Install... -> Search for new features to install -> Next ->
                        New Remote Site... -> http://tourdeflex.adobe.com/eclipse/ -> Finish

                        I get an error window:
                        "No features found on the selected site(s). Choose a different site or site category."

                        What does that mean?
                        The TourDeFlex AIR app installed just fine.

                        Paul
                        • 9. Re: TourDeFlex - Flex Plugin
                          pauljcompany Level 1
                          I solved my own problem:

                          Help -> Software Updates -> Manage Configuration -> click "TourDeFlex Feature 1.0.3" -> Disable,
                          this will restart Eclipse and then I did a reinstall of TourDeFlex.

                          For some reason it installed but was in a funky state.

                          Paul